Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network92.167.76.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
92.167.76.0
Broadcast address
92.167.76.255
First usable
92.167.76.1
Last usable
92.167.76.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 5CA74C00 · Integer 1554467840 to 1554468095
Reverse DNS zone
76.167.92.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011100.10100111.01001100..0000000092.167.76.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network01011100.10100111.01001100..0000000092.167.76.0
Broadcast01011100.10100111.01001100..1111111192.167.76.255
Split into smaller subnets/32

92.167.76.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
192.167.76.0/3292.167.76.0 to 92.167.76.0—1
292.167.76.1/3292.167.76.1 to 92.167.76.1—1
392.167.76.2/3292.167.76.2 to 92.167.76.2—1
492.167.76.3/3292.167.76.3 to 92.167.76.3—1
592.167.76.4/3292.167.76.4 to 92.167.76.4—1
692.167.76.5/3292.167.76.5 to 92.167.76.5—1
792.167.76.6/3292.167.76.6 to 92.167.76.6—1
892.167.76.7/3292.167.76.7 to 92.167.76.7—1
992.167.76.8/3292.167.76.8 to 92.167.76.8—1
1092.167.76.9/3292.167.76.9 to 92.167.76.9—1
1192.167.76.10/3292.167.76.10 to 92.167.76.10—1
1292.167.76.11/3292.167.76.11 to 92.167.76.11—1
1392.167.76.12/3292.167.76.12 to 92.167.76.12—1
1492.167.76.13/3292.167.76.13 to 92.167.76.13—1
1592.167.76.14/3292.167.76.14 to 92.167.76.14—1
1692.167.76.15/3292.167.76.15 to 92.167.76.15—1
1792.167.76.16/3292.167.76.16 to 92.167.76.16—1
1892.167.76.17/3292.167.76.17 to 92.167.76.17—1
1992.167.76.18/3292.167.76.18 to 92.167.76.18—1
2092.167.76.19/3292.167.76.19 to 92.167.76.19—1
2192.167.76.20/3292.167.76.20 to 92.167.76.20—1
2292.167.76.21/3292.167.76.21 to 92.167.76.21—1
2392.167.76.22/3292.167.76.22 to 92.167.76.22—1
2492.167.76.23/3292.167.76.23 to 92.167.76.23—1
2592.167.76.24/3292.167.76.24 to 92.167.76.24—1
2692.167.76.25/3292.167.76.25 to 92.167.76.25—1
2792.167.76.26/3292.167.76.26 to 92.167.76.26—1
2892.167.76.27/3292.167.76.27 to 92.167.76.27—1
2992.167.76.28/3292.167.76.28 to 92.167.76.28—1
3092.167.76.29/3292.167.76.29 to 92.167.76.29—1
3192.167.76.30/3292.167.76.30 to 92.167.76.30—1
3292.167.76.31/3292.167.76.31 to 92.167.76.31—1
3392.167.76.32/3292.167.76.32 to 92.167.76.32—1
3492.167.76.33/3292.167.76.33 to 92.167.76.33—1
3592.167.76.34/3292.167.76.34 to 92.167.76.34—1
3692.167.76.35/3292.167.76.35 to 92.167.76.35—1
3792.167.76.36/3292.167.76.36 to 92.167.76.36—1
3892.167.76.37/3292.167.76.37 to 92.167.76.37—1
3992.167.76.38/3292.167.76.38 to 92.167.76.38—1
4092.167.76.39/3292.167.76.39 to 92.167.76.39—1
4192.167.76.40/3292.167.76.40 to 92.167.76.40—1
4292.167.76.41/3292.167.76.41 to 92.167.76.41—1
4392.167.76.42/3292.167.76.42 to 92.167.76.42—1
4492.167.76.43/3292.167.76.43 to 92.167.76.43—1
4592.167.76.44/3292.167.76.44 to 92.167.76.44—1
4692.167.76.45/3292.167.76.45 to 92.167.76.45—1
4792.167.76.46/3292.167.76.46 to 92.167.76.46—1
4892.167.76.47/3292.167.76.47 to 92.167.76.47—1
4992.167.76.48/3292.167.76.48 to 92.167.76.48—1
5092.167.76.49/3292.167.76.49 to 92.167.76.49—1
5192.167.76.50/3292.167.76.50 to 92.167.76.50—1
5292.167.76.51/3292.167.76.51 to 92.167.76.51—1
5392.167.76.52/3292.167.76.52 to 92.167.76.52—1
5492.167.76.53/3292.167.76.53 to 92.167.76.53—1
5592.167.76.54/3292.167.76.54 to 92.167.76.54—1
5692.167.76.55/3292.167.76.55 to 92.167.76.55—1
5792.167.76.56/3292.167.76.56 to 92.167.76.56—1
5892.167.76.57/3292.167.76.57 to 92.167.76.57—1
5992.167.76.58/3292.167.76.58 to 92.167.76.58—1
6092.167.76.59/3292.167.76.59 to 92.167.76.59—1
6192.167.76.60/3292.167.76.60 to 92.167.76.60—1
6292.167.76.61/3292.167.76.61 to 92.167.76.61—1
6392.167.76.62/3292.167.76.62 to 92.167.76.62—1
6492.167.76.63/3292.167.76.63 to 92.167.76.63—1
6592.167.76.64/3292.167.76.64 to 92.167.76.64—1
6692.167.76.65/3292.167.76.65 to 92.167.76.65—1
6792.167.76.66/3292.167.76.66 to 92.167.76.66—1
6892.167.76.67/3292.167.76.67 to 92.167.76.67—1
6992.167.76.68/3292.167.76.68 to 92.167.76.68—1
7092.167.76.69/3292.167.76.69 to 92.167.76.69—1
7192.167.76.70/3292.167.76.70 to 92.167.76.70—1
7292.167.76.71/3292.167.76.71 to 92.167.76.71—1
7392.167.76.72/3292.167.76.72 to 92.167.76.72—1
7492.167.76.73/3292.167.76.73 to 92.167.76.73—1
7592.167.76.74/3292.167.76.74 to 92.167.76.74—1
7692.167.76.75/3292.167.76.75 to 92.167.76.75—1
7792.167.76.76/3292.167.76.76 to 92.167.76.76—1
7892.167.76.77/3292.167.76.77 to 92.167.76.77—1
7992.167.76.78/3292.167.76.78 to 92.167.76.78—1
8092.167.76.79/3292.167.76.79 to 92.167.76.79—1
8192.167.76.80/3292.167.76.80 to 92.167.76.80—1
8292.167.76.81/3292.167.76.81 to 92.167.76.81—1
8392.167.76.82/3292.167.76.82 to 92.167.76.82—1
8492.167.76.83/3292.167.76.83 to 92.167.76.83—1
8592.167.76.84/3292.167.76.84 to 92.167.76.84—1
8692.167.76.85/3292.167.76.85 to 92.167.76.85—1
8792.167.76.86/3292.167.76.86 to 92.167.76.86—1
8892.167.76.87/3292.167.76.87 to 92.167.76.87—1
8992.167.76.88/3292.167.76.88 to 92.167.76.88—1
9092.167.76.89/3292.167.76.89 to 92.167.76.89—1
9192.167.76.90/3292.167.76.90 to 92.167.76.90—1
9292.167.76.91/3292.167.76.91 to 92.167.76.91—1
9392.167.76.92/3292.167.76.92 to 92.167.76.92—1
9492.167.76.93/3292.167.76.93 to 92.167.76.93—1
9592.167.76.94/3292.167.76.94 to 92.167.76.94—1
9692.167.76.95/3292.167.76.95 to 92.167.76.95—1
9792.167.76.96/3292.167.76.96 to 92.167.76.96—1
9892.167.76.97/3292.167.76.97 to 92.167.76.97—1
9992.167.76.98/3292.167.76.98 to 92.167.76.98—1
10092.167.76.99/3292.167.76.99 to 92.167.76.99—1
10192.167.76.100/3292.167.76.100 to 92.167.76.100—1
10292.167.76.101/3292.167.76.101 to 92.167.76.101—1
10392.167.76.102/3292.167.76.102 to 92.167.76.102—1
10492.167.76.103/3292.167.76.103 to 92.167.76.103—1
10592.167.76.104/3292.167.76.104 to 92.167.76.104—1
10692.167.76.105/3292.167.76.105 to 92.167.76.105—1
10792.167.76.106/3292.167.76.106 to 92.167.76.106—1
10892.167.76.107/3292.167.76.107 to 92.167.76.107—1
10992.167.76.108/3292.167.76.108 to 92.167.76.108—1
11092.167.76.109/3292.167.76.109 to 92.167.76.109—1
11192.167.76.110/3292.167.76.110 to 92.167.76.110—1
11292.167.76.111/3292.167.76.111 to 92.167.76.111—1
11392.167.76.112/3292.167.76.112 to 92.167.76.112—1
11492.167.76.113/3292.167.76.113 to 92.167.76.113—1
11592.167.76.114/3292.167.76.114 to 92.167.76.114—1
11692.167.76.115/3292.167.76.115 to 92.167.76.115—1
11792.167.76.116/3292.167.76.116 to 92.167.76.116—1
11892.167.76.117/3292.167.76.117 to 92.167.76.117—1
11992.167.76.118/3292.167.76.118 to 92.167.76.118—1
12092.167.76.119/3292.167.76.119 to 92.167.76.119—1
12192.167.76.120/3292.167.76.120 to 92.167.76.120—1
12292.167.76.121/3292.167.76.121 to 92.167.76.121—1
12392.167.76.122/3292.167.76.122 to 92.167.76.122—1
12492.167.76.123/3292.167.76.123 to 92.167.76.123—1
12592.167.76.124/3292.167.76.124 to 92.167.76.124—1
12692.167.76.125/3292.167.76.125 to 92.167.76.125—1
12792.167.76.126/3292.167.76.126 to 92.167.76.126—1
12892.167.76.127/3292.167.76.127 to 92.167.76.127—1
12992.167.76.128/3292.167.76.128 to 92.167.76.128—1
13092.167.76.129/3292.167.76.129 to 92.167.76.129—1
13192.167.76.130/3292.167.76.130 to 92.167.76.130—1
13292.167.76.131/3292.167.76.131 to 92.167.76.131—1
13392.167.76.132/3292.167.76.132 to 92.167.76.132—1
13492.167.76.133/3292.167.76.133 to 92.167.76.133—1
13592.167.76.134/3292.167.76.134 to 92.167.76.134—1
13692.167.76.135/3292.167.76.135 to 92.167.76.135—1
13792.167.76.136/3292.167.76.136 to 92.167.76.136—1
13892.167.76.137/3292.167.76.137 to 92.167.76.137—1
13992.167.76.138/3292.167.76.138 to 92.167.76.138—1
14092.167.76.139/3292.167.76.139 to 92.167.76.139—1
14192.167.76.140/3292.167.76.140 to 92.167.76.140—1
14292.167.76.141/3292.167.76.141 to 92.167.76.141—1
14392.167.76.142/3292.167.76.142 to 92.167.76.142—1
14492.167.76.143/3292.167.76.143 to 92.167.76.143—1
14592.167.76.144/3292.167.76.144 to 92.167.76.144—1
14692.167.76.145/3292.167.76.145 to 92.167.76.145—1
14792.167.76.146/3292.167.76.146 to 92.167.76.146—1
14892.167.76.147/3292.167.76.147 to 92.167.76.147—1
14992.167.76.148/3292.167.76.148 to 92.167.76.148—1
15092.167.76.149/3292.167.76.149 to 92.167.76.149—1
15192.167.76.150/3292.167.76.150 to 92.167.76.150—1
15292.167.76.151/3292.167.76.151 to 92.167.76.151—1
15392.167.76.152/3292.167.76.152 to 92.167.76.152—1
15492.167.76.153/3292.167.76.153 to 92.167.76.153—1
15592.167.76.154/3292.167.76.154 to 92.167.76.154—1
15692.167.76.155/3292.167.76.155 to 92.167.76.155—1
15792.167.76.156/3292.167.76.156 to 92.167.76.156—1
15892.167.76.157/3292.167.76.157 to 92.167.76.157—1
15992.167.76.158/3292.167.76.158 to 92.167.76.158—1
16092.167.76.159/3292.167.76.159 to 92.167.76.159—1
16192.167.76.160/3292.167.76.160 to 92.167.76.160—1
16292.167.76.161/3292.167.76.161 to 92.167.76.161—1
16392.167.76.162/3292.167.76.162 to 92.167.76.162—1
16492.167.76.163/3292.167.76.163 to 92.167.76.163—1
16592.167.76.164/3292.167.76.164 to 92.167.76.164—1
16692.167.76.165/3292.167.76.165 to 92.167.76.165—1
16792.167.76.166/3292.167.76.166 to 92.167.76.166—1
16892.167.76.167/3292.167.76.167 to 92.167.76.167—1
16992.167.76.168/3292.167.76.168 to 92.167.76.168—1
17092.167.76.169/3292.167.76.169 to 92.167.76.169—1
17192.167.76.170/3292.167.76.170 to 92.167.76.170—1
17292.167.76.171/3292.167.76.171 to 92.167.76.171—1
17392.167.76.172/3292.167.76.172 to 92.167.76.172—1
17492.167.76.173/3292.167.76.173 to 92.167.76.173—1
17592.167.76.174/3292.167.76.174 to 92.167.76.174—1
17692.167.76.175/3292.167.76.175 to 92.167.76.175—1
17792.167.76.176/3292.167.76.176 to 92.167.76.176—1
17892.167.76.177/3292.167.76.177 to 92.167.76.177—1
17992.167.76.178/3292.167.76.178 to 92.167.76.178—1
18092.167.76.179/3292.167.76.179 to 92.167.76.179—1
18192.167.76.180/3292.167.76.180 to 92.167.76.180—1
18292.167.76.181/3292.167.76.181 to 92.167.76.181—1
18392.167.76.182/3292.167.76.182 to 92.167.76.182—1
18492.167.76.183/3292.167.76.183 to 92.167.76.183—1
18592.167.76.184/3292.167.76.184 to 92.167.76.184—1
18692.167.76.185/3292.167.76.185 to 92.167.76.185—1
18792.167.76.186/3292.167.76.186 to 92.167.76.186—1
18892.167.76.187/3292.167.76.187 to 92.167.76.187—1
18992.167.76.188/3292.167.76.188 to 92.167.76.188—1
19092.167.76.189/3292.167.76.189 to 92.167.76.189—1
19192.167.76.190/3292.167.76.190 to 92.167.76.190—1
19292.167.76.191/3292.167.76.191 to 92.167.76.191—1
19392.167.76.192/3292.167.76.192 to 92.167.76.192—1
19492.167.76.193/3292.167.76.193 to 92.167.76.193—1
19592.167.76.194/3292.167.76.194 to 92.167.76.194—1
19692.167.76.195/3292.167.76.195 to 92.167.76.195—1
19792.167.76.196/3292.167.76.196 to 92.167.76.196—1
19892.167.76.197/3292.167.76.197 to 92.167.76.197—1
19992.167.76.198/3292.167.76.198 to 92.167.76.198—1
20092.167.76.199/3292.167.76.199 to 92.167.76.199—1
20192.167.76.200/3292.167.76.200 to 92.167.76.200—1
20292.167.76.201/3292.167.76.201 to 92.167.76.201—1
20392.167.76.202/3292.167.76.202 to 92.167.76.202—1
20492.167.76.203/3292.167.76.203 to 92.167.76.203—1
20592.167.76.204/3292.167.76.204 to 92.167.76.204—1
20692.167.76.205/3292.167.76.205 to 92.167.76.205—1
20792.167.76.206/3292.167.76.206 to 92.167.76.206—1
20892.167.76.207/3292.167.76.207 to 92.167.76.207—1
20992.167.76.208/3292.167.76.208 to 92.167.76.208—1
21092.167.76.209/3292.167.76.209 to 92.167.76.209—1
21192.167.76.210/3292.167.76.210 to 92.167.76.210—1
21292.167.76.211/3292.167.76.211 to 92.167.76.211—1
21392.167.76.212/3292.167.76.212 to 92.167.76.212—1
21492.167.76.213/3292.167.76.213 to 92.167.76.213—1
21592.167.76.214/3292.167.76.214 to 92.167.76.214—1
21692.167.76.215/3292.167.76.215 to 92.167.76.215—1
21792.167.76.216/3292.167.76.216 to 92.167.76.216—1
21892.167.76.217/3292.167.76.217 to 92.167.76.217—1
21992.167.76.218/3292.167.76.218 to 92.167.76.218—1
22092.167.76.219/3292.167.76.219 to 92.167.76.219—1
22192.167.76.220/3292.167.76.220 to 92.167.76.220—1
22292.167.76.221/3292.167.76.221 to 92.167.76.221—1
22392.167.76.222/3292.167.76.222 to 92.167.76.222—1
22492.167.76.223/3292.167.76.223 to 92.167.76.223—1
22592.167.76.224/3292.167.76.224 to 92.167.76.224—1
22692.167.76.225/3292.167.76.225 to 92.167.76.225—1
22792.167.76.226/3292.167.76.226 to 92.167.76.226—1
22892.167.76.227/3292.167.76.227 to 92.167.76.227—1
22992.167.76.228/3292.167.76.228 to 92.167.76.228—1
23092.167.76.229/3292.167.76.229 to 92.167.76.229—1
23192.167.76.230/3292.167.76.230 to 92.167.76.230—1
23292.167.76.231/3292.167.76.231 to 92.167.76.231—1
23392.167.76.232/3292.167.76.232 to 92.167.76.232—1
23492.167.76.233/3292.167.76.233 to 92.167.76.233—1
23592.167.76.234/3292.167.76.234 to 92.167.76.234—1
23692.167.76.235/3292.167.76.235 to 92.167.76.235—1
23792.167.76.236/3292.167.76.236 to 92.167.76.236—1
23892.167.76.237/3292.167.76.237 to 92.167.76.237—1
23992.167.76.238/3292.167.76.238 to 92.167.76.238—1
24092.167.76.239/3292.167.76.239 to 92.167.76.239—1
24192.167.76.240/3292.167.76.240 to 92.167.76.240—1
24292.167.76.241/3292.167.76.241 to 92.167.76.241—1
24392.167.76.242/3292.167.76.242 to 92.167.76.242—1
24492.167.76.243/3292.167.76.243 to 92.167.76.243—1
24592.167.76.244/3292.167.76.244 to 92.167.76.244—1
24692.167.76.245/3292.167.76.245 to 92.167.76.245—1
24792.167.76.246/3292.167.76.246 to 92.167.76.246—1
24892.167.76.247/3292.167.76.247 to 92.167.76.247—1
24992.167.76.248/3292.167.76.248 to 92.167.76.248—1
25092.167.76.249/3292.167.76.249 to 92.167.76.249—1
25192.167.76.250/3292.167.76.250 to 92.167.76.250—1
25292.167.76.251/3292.167.76.251 to 92.167.76.251—1
25392.167.76.252/3292.167.76.252 to 92.167.76.252—1
25492.167.76.253/3292.167.76.253 to 92.167.76.253—1
25592.167.76.254/3292.167.76.254 to 92.167.76.254—1
25692.167.76.255/3292.167.76.255 to 92.167.76.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses